"use strict";
// post-checkout and post-merge are used to run 'npm install' if needed
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPostMergeCommand = void 0;
const helpers_1 = require("../helpers");
/* tslint:disable:no-console */
function createPostMergeCommand(deps) {
    const { logger } = deps;
    return {
        execute() {
            logger.log("hooks", "postmerge git hook running");
            try {
                if ((0, helpers_1.packageJsonChanged)("ORIG_HEAD", "HEAD")) {
                    logger.log("hooks", "Running npm install...");
                    (0, helpers_1.npmInstall)();
                }
                else {
                    logger.log("hooks", "No need to run npm install");
                }
            }
            catch (error) {
                logger.error("hooks", `post-merge hook failed, continuing anyway ${error.message}`);
            }
            return Promise.resolve(true);
        },
    };
}
exports.createPostMergeCommand = createPostMergeCommand;
//# sourceMappingURL=post-merge.js.map