"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConsoleLogger = void 0;
/* eslint-disable no-console */
let createConsoleLogger = () => {
    let currentCategory;
    let setCategory = (category) => {
        if (category !== currentCategory) {
            console.log(`${category}:`);
            currentCategory = category;
        }
    };
    return {
        log: (category, message) => {
            setCategory(category);
            console.log(`  ${message}`);
        },
        error: (category, message) => {
            setCategory(category);
            console.error(`! ${message}`);
        },
    };
};
exports.createConsoleLogger = createConsoleLogger;
/* tslint:enable:no-console */
//# sourceMappingURL=logger.js.map